import { MarginProps, Prop } from '@modulz/radix-system';
declare type Variants = 'gray' | 'blue' | 'green' | 'red' | 'active' | 'waiting';
declare type Sizes = 0 | 1;
declare type ButtonProps = MarginProps & {
    variant?: Prop<Variants>;
    size?: Prop<Sizes>;
    theme?: any;
};
export declare const Button: import("styled-components").StyledComponent<"button", any, ButtonProps, never>;
export {};
